#include <iostream>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    
    int N,L;
    cin >> N >> L;
    int s[N];
    for(int i = 0; i < N; i++)
        cin >> s[i];
     
    int _ = -1;   
    for(int i = 0; i < N; i++)
    {
        if(L < s[i])
            continue;
            
        _ = i+1;
        break;
    }
    cout << _ << endl;
    return 0;
}